Open Infrastructure - Task #7427

Rough draft to support console on our VMs
12/06/2019 12:44 AM - Nico Schottelius

Status: Rejected
Priority: Normal
Assignee: Jin-Guk Kwon
Category:

Target version:
PM Check date:

Start date:
Due date:

% Done:

Estimated time:

12/06/2019
12/20/2019
0%

0.00 hour

Description

Migrate dynamicweb user base to Idap

o write script to migrate users (passwords? do we have to reset / have them set it up again?)
= maybe implement "soft reset": change user to Idap after they successfully logged in

e Connect guacamole to Idap
o easy job -> Jin-Guk

o also cleanup old entries!

o map users / connections based on ... username or email?
Open the firewall to allow guacamole to access VNC ports of gemu

Let's try to make this a pre christmas present to our users.

e Ahmed, you are in the lead for django
¢ Jin-GUK, you are in the lead for guacamole
e Balazs, you are in the lead for the firewall

Once per minute sync the VM location (server+vnc port) in the guacamole DB

History

#1 - 12/24/2019 07:15 PM - Ahmed Bilal

- Status changed from New to Closed

Django part done. LDAP account is created as soon as user login to datacenterlight.

#2 - 12/25/2019 05:55 PM - Ahmed Bilal

- Status changed from Closed to In Progress

#3 - 01/13/2020 03:13 AM - Ahmed Bilal

- Assignee changed from Ahmed Bilal to Jin-Guk Kwon

#4 - 01/02/2024 02:06 PM - Nico Schottelius

- Status changed from In Progress to Rejected
